|
Расположение в меню |
---|
Инструменты → Add text document |
Верстаки |
All |
Быстрые клавиши |
Нет |
Представлено в версии |
0.19 |
См. также |
Draft ShapeString, Draft Text |
Описание
The Std TextDocument command creates an object capable of holding arbitrary text. This element can be used to write general information or documentation about the model.
Применение
- Select the Tools →
Add text document option from the menu.
- Double-click the newly created object in the Tree view to open a tab in which to write text.
- Add text.
- Close the tab and save the file when asked.
Свойства
View
Editor
- ВидFont Name (
Font
): a font name, for example,Ubuntu Mono
. - ВидFont Size (
Float
): a font size in points, for example,11
. - ВидRead Only (
Bool
): it defaults tofalse
. If set totrue
the text cannot be edited. - ВидSyntax Highlighter (
Enumeration
): it defaults toNone
. If set toPython
, the text will be highlighted like the Python console.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
See Part Feature for the general information on adding objects to a document.
An App::TextDocument
object is created with the addObject()
method of the document. Once a TextDocument exists, its textual information is stored in its Text
attribute. This attribute can be used in other objects, for example, as the string in a Draft ShapeString.
import FreeCAD as App
import Draft
doc = App.newDocument()
obj = doc.addObject("App::TextDocument", "Text_document")
obj.Text = "textual information"
doc.recompute()
obj2 = Draft.makeShapeString(obj.Text, "/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf", 10)
doc.recompute()
Эта страница получена от https://wiki.freecad.org/Std_TextDocument